> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thrivory.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Review a claim (predictions, no funding)



## OpenAPI

````yaml api-reference/openapi.json post /v1/claims/reviews
openapi: 3.1.0
info:
  title: Thrivory ThriveNow API
  version: 1.0.0
  description: >-
    Unified API for claim review (predictions), adjudication & funding, claim
    status, webhooks, and reconciliation. Production access requires a BAA with
    Thrivory. All endpoints use HTTPS and JSON.
  contact:
    name: Thrivory Support
    email: support@thrivory.com
  termsOfService: https://thrivory.com/terms
servers:
  - url: https://api.sandbox.thrivory.com
    description: Sandbox
  - url: https://api.thrivory.com
    description: Production
security:
  - oauth2:
      - claims:read
      - claims:write
      - settlements:write
      - metadata:read
      - webhooks:manage
      - imports:write
      - payouts:write
tags:
  - name: Auth
  - name: Metadata
  - name: Claims
  - name: Adjudications & Settlements
  - name: Payout Accounts
  - name: Webhooks
  - name: Imports
  - name: Operations
paths:
  /v1/claims/reviews:
    post:
      tags:
        - Claims
      summary: Review a claim (predictions, no funding)
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClaimReviewRequest'
            examples:
              basic:
                summary: Minimal example
                value:
                  facility: ABC
                  claim_identifier: CLM-10001
                  chart_identifier: PAT-5678
                  date_of_service: '2025-08-15'
                  date_of_submission: '2025-08-16'
                  servicer_npi: '1111111111'
                  billing_npi: '5556667778'
                  patient_primary_payor_id: thrivoryid:123456
                  service_lines:
                    - cpt: J1745
                      modifier: JW
                      units: 1
                      amount: 5000
                  submitted_amount: 5000
      responses:
        '200':
          description: Review results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimReviewResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: false
      schema:
        type: string
      description: Provide a unique key per request to enable safe retries
  schemas:
    ClaimReviewRequest:
      type: object
      description: >-
        Submit encounter/claim context for prediction. Fields align with
        Thrivory Data Feed Requirements.
      properties:
        facility:
          type: string
          description: Location/facility identifier
        claim_identifier:
          type: string
          description: Unique claim ID
        chart_identifier:
          type: string
          description: Patient chart ID
        date_of_entry:
          type: string
          format: date
        date_of_service:
          type: string
          format: date
        date_of_submission:
          type: string
          format: date
        servicer_npi:
          type: string
          pattern: ^[0-9]{10}$
        billing_npi:
          type: string
          pattern: ^[0-9]{10}$
        patient_primary_payor_text:
          type: string
        patient_primary_payor_id:
          type: string
          description: Thrivory payer ID
        patient_primary_payor_plan_text:
          type: string
        icd10_codes:
          type: array
          items:
            type: string
        cpt_billing_codes:
          type: string
          deprecated: true
          description: Prefer service_lines[].cpt
        cpt_billing_modifier:
          type: string
          deprecated: true
          description: Prefer service_lines[].modifier
        cpt_billing_text:
          type: string
        submitted_amount:
          type: number
        balance_payor:
          type: number
        balance_patient:
          type: number
        payments_payor:
          type: number
        payments_patient:
          type: number
        payments_total:
          type: number
        settlement_date:
          type: string
          format: date
        payment_account_location:
          type: string
          description: Last four digits or token reference
        denial_code:
          type: string
        denial_code_text:
          type: string
        service_lines:
          type: array
          items:
            $ref: '#/components/schemas/ServiceLine'
      required:
        - claim_identifier
        - chart_identifier
        - date_of_service
        - servicer_npi
        - billing_npi
        - patient_primary_payor_id
        - submitted_amount
    ClaimReviewResponse:
      type: object
      properties:
        authorization_id:
          type: string
          description: Short‑lived authorization handle used to create an adjudication
        denial_predicted:
          type: boolean
        denial_reasons:
          type: array
          items:
            $ref: '#/components/schemas/ReasonCode'
        expected_reimbursement:
          type: object
          properties:
            allowed:
              type: number
            expected:
              type: number
          required:
            - expected
        expected_payment_date:
          type: string
          format: date
        confidence:
          type: number
          minimum: 0
          maximum: 1
          description: Model confidence
        id:
          type: string
          description: Review ID
      required:
        - authorization_id
        - denial_predicted
        - expected_reimbursement
    ServiceLine:
      type: object
      properties:
        cpt:
          type: string
          description: CPT/HCPCS code
        modifier:
          type: string
        units:
          type: number
        amount:
          type: number
      required:
        - cpt
        - units
        - amount
    ReasonCode:
      type: object
      properties:
        code:
          type: string
        description:
          type: string
      required:
        - code
        - description
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error code
        message:
          type: string
        request_id:
          type: string
        details:
          type: object
      required:
        - error
        - message
  responses:
    BadRequest:
      description: 400 Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: 401 Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: 404 Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: 500 Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.thrivory.com/v1/oauth/token
          scopes:
            claims:read: Read claims
            claims:write: Create and modify claims
            settlements:write: Create/confirm/cancel settlements
            metadata:read: Read reference data (payers, codes)
            webhooks:manage: Manage webhook endpoints
            imports:write: Submit import jobs
            payouts:write: Manage payout accounts

````